%define major		2
%define libname		%mklibname dvdcss %{major}
%define develname	%mklibname dvdcss -d

Name:		libdvdcss
Version:	1.4.3
Release:	%mkrel 3
Summary:	Library for accessing DVDs as a block device using deCSS if needed
License:	GPLv2+
Group:		System/Libraries
URL:		https://www.videolan.org/libdvdcss
Source:		https://download.videolan.org/pub/%{name}/%{version}/%{name}-%{version}.tar.bz2

%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

This package is in 'tainted' as it may violate patents in some countries.

%package -n	%{libname}
Summary:	A library for accessing DVDs as a block device using deCSS if needed
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

%package -n	%{develname}
Summary:	Development tools for programs which will use the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d dvdcss 2
 
%description -n %{develname}
The %{develname} package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the %{name} library.
 
If you are going to develop programs which will manipulate DVDs, you
should install %{name}-devel.  You'll also need to have the %{name}
package installed.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/%{name}

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog COPYING
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 1.4.3-3.mga10
+ Revision: 2244356
- Mageia 10 Mass Rebuild

* Thu Apr 14 2022 umeabot <umeabot> 1.4.3-2.mga9.tainted
+ Revision: 1849687
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 1.4.3-1.mga9.tainted
+ Revision: 1738834
- 1.4.3

* Fri Feb 21 2020 umeabot <umeabot> 1.4.2-3.mga8.tainted
+ Revision: 1548877
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 1.4.2-2.mga7.tainted
+ Revision: 1279197
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 1.4.2-1.mga7.tainted
+ Revision: 1215721
- Update to version 1.4.2

* Fri Feb 23 2018 daviddavid <daviddavid> 1.4.1-1.mga7.tainted
+ Revision: 1204296
- new version: 1.4.1 (fixes mga#21566)
- disable static libraries

* Thu Dec 24 2015 luigiwalser <luigiwalser> 1.4.0-1.mga6.tainted
+ Revision: 914457
- 1.4.0

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-3.mga5.tainted
+ Revision: 747523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-2.mga5.tainted
+ Revision: 681429
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 luigiwalser <luigiwalser> 1.3.0-1.mga5.tainted
+ Revision: 664508
- 1.3.0

* Thu Oct 31 2013 tmb <tmb> 1.2.13-2.mga4.tainted
+ Revision: 548203
- Mageia 4 rebuild

* Sun Mar 03 2013 luigiwalser <luigiwalser> 1.2.13-1.mga4.tainted
+ Revision: 401187
- 1.2.13

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12-2.mga3.tainted
+ Revision: 357028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dams <dams>
- clean specfile

* Tue Mar 20 2012 luigiwalser <luigiwalser> 1.2.12-1.mga2.tainted
+ Revision: 225009
- 1.2.12

* Fri Dec 30 2011 supp <supp> 1.2.11-1.mga2.tainted
+ Revision: 188880
- update to 1.2.11

* Sat Mar 05 2011 tux99 <tux99> 1.2.10-3.mga1
+ Revision: 64927
- incremented release number to enable update from plf

* Sat Mar 05 2011 tux99 <tux99> 1.2.10-2.mga1
+ Revision: 64919
- cleaned up summary and description
- removed obsolete conflicts, defines and post/postun scripts
- imported package libdvdcss


* Sun Aug 30 2009 Götz Waschk <goetz@zarb.org> 1.2.10-2plf2010.0
- update license
- fix format strings

* Fri Aug 29 2008 Götz Waschk <goetz@zarb.org> 1.2.10-1plf2009.0
- update file list
- new version

* Mon Jan 21 2008 Götz Waschk <goetz@zarb.org> 1.2.9-4plf2008.1
- fix plf reason
- new devel name

* Mon Aug 28 2006 Götz Waschk <goetz@zarb.org> 1.2.9-3plf2007.0
- rebuild

* Tue Jul 12 2005 Götz Waschk <goetz@zarb.org> 1.2.9-2plf
- fix backports

* Mon Jul 11 2005 trem <trem@zarb.org> 1.2.9-1plf
- 1.2.9

* Mon Mar 28 2005 Olivier Thauvin <nanardon@zarb.org> 1.2.8-3plf
- rebuild && %%mkrel

* Mon Sep 20 2004 Götz Waschk <goetz@zarb.org> 1.2.8-2plf
- update description
- use mklibname macro

* Wed Jul 30 2003 Götz Waschk <goetz@plf.zarb.org> 1.2.8-1plf
- autoconf 2.5 macro
- new version

* Mon Jun 23 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.2.7-1plf
- 1.2.7
- purged any redhat heresy trace

* Tue Mar 11 2003 Götz Waschk <goetz@plf.zarb.org> 1.2.6-1plf
- new version

* Thu Nov 21 2002 Yves Duret <yves@zarb.org> 1.2.4-1plf
- new upstream version.

* Mon Oct 21 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.2.3-1plf
- new version

* Mon Aug 12 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 1.2.2-1plf
- new version

* Sun Jun 02 2002 Yves Duret <yduret@mandrakesoft.com> 1.2.1-1plf
- 1.2.1 by Samuel Hocevar <sam@zoy.org>
  * new upstream release
  * fix for a crash on disc/drive region mismatch

* Thu May 23 2002 Yves Duret <yduret@mandrakesoft.com> 1.2.0-1plf
- 1.2.0 by Samuel Hocevar <sam@zoy.org>
  * new upstream release
  * weird libxalf dependency is gone

* Sun Apr 07 2002 Yves Duret <yduret@mandrakesoft.com> 1.1.1-2plf
- major version is 2 (aka guillaume sux).
- spec clean up: do not rm in %%prep, %%buildroot, %%makeinstall_std, %%provides %%version-%%release
- added doc in devel
- sync with cvs's one (%%description,%%files, conflicts).
- fix url

* Sat Apr 06 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.1-1plf
- 1.1.1

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.0.0-3plf 
- new plf extension

* Wed Dec 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.0-3mdk
- removed conflict

* Tue Dec 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.0-2mdk
- contributed to PLF by Yves Duret <yduret@mandrakesoft.com>
- Conflicts: libdvdcss-ogle
- more doc files
- no doc file for devel package

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.0-1mdk
- version 1.0.0

* Thu Aug 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.3-1mdk
- version 0.0.3

* Mon Aug 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.2-1mdk
- version 0.0.2

* Tue Jun 19 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.1-1mdk
- first release and first mdk release
